# std::atomic<T>::operator T

From cppreference.com
< cpp‎ | atomic‎ | atomic

|  | (since C++11)
operator T() const noexcept; |  |
operator T() const volatile noexcept; |  |

Atomically loads and returns the current value of the atomic variable. Equivalent to load().

### Parameters

(none)

### Return value

The current value of the atomic variable.

### See also

load | atomically obtains the value of the atomic object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/operator_T&oldid=104187"